org.tmatesoft.svn.core.wc2

## Class SvnAnnotateItem

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnAnnotateItem

    public class SvnAnnotateItem
    extends java.lang.Object

Provides information for annotate item in `SvnAnnotate` operation.

Version:
  1.7
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
Constructor and Description
`SvnAnnotateItem(boolean isEof)`
`SvnAnnotateItem(java.util.Date date, long revision, java.lang.String author, java.io.File contents)` Constructs and initializes an SvnAnnotateItem object with the specified parameters.
`SvnAnnotateItem(java.util.Date date, long revision, java.lang.String author, java.lang.String line, java.util.Date mergedDate, long mergedRevision, java.lang.String mergedAuthor, java.lang.String mergedPath, int lineNumber)` Constructs and initializes an SvnAnnotateItem object with the specified parameters.

### Method Summary

Methods
`java.lang.String` `getAuthor()` Gets author of modification.
`java.io.File` `getContents()` Gets contents of modification in `File`
`java.util.Date` `getDate()` Gets date of modification.
`java.lang.String` `getLine()` Gets modified line.
`int` `getLineNumber()` Gets line number of modification
`java.lang.String` `getMergedAuthor()` Gets author of merge revision.
`java.util.Date` `getMergedDate()` Gets date of merge.
`java.lang.String` `getMergedPath()` Gets path of merge revision.
`long` `getMergedRevision()` Gets revision of merge.
`SVNProperties` `getMergedRevisionProperties()` Gets properties of merge revision.
`boolean` `getReturnResult()` Gets whether or not item was handled.
`long` `getRevision()` Gets modification revision.
`SVNProperties` `getRevisionProperties()` Gets the properties of modification revision.
`boolean` `isEof()` Gets whether or not end of file reached.
`boolean` `isLine()` Gets whether or not item is line.
`boolean` `isRevision()` Gets whether or not item is revision.
`void` `setReturnResult(boolean returnResult)` Sets whether or not item was handled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnAnnotateItem

    public SvnAnnotateItem(boolean isEof)

#### SvnAnnotateItem

    public SvnAnnotateItem(java.util.Date date,
                   long revision,
                   java.lang.String author,
                   java.lang.String line,
                   java.util.Date mergedDate,
                   long mergedRevision,
                   java.lang.String mergedAuthor,
                   java.lang.String mergedPath,
                   int lineNumber)

Constructs and initializes an SvnAnnotateItem object with the specified parameters.

Parameters:
  `date` - modification date
  `revision` - modification revision
  `author` - author of modification
  `line` - modified line
  `mergedDate` - date of merge
  `mergedRevision` - revision of merge
  `mergedAuthor` - author of merge
  `mergedPath` - path of merge
  `lineNumber` - number of line

#### SvnAnnotateItem

    public SvnAnnotateItem(java.util.Date date,
                   long revision,
                   java.lang.String author,
                   java.io.File contents)

Constructs and initializes an SvnAnnotateItem object with the specified parameters.

Parameters:
  `date` - modification date
  `revision` - revision of modification
  `author` - author of modification
  `contents` - contents represented in file

### Method Detail

#### getDate

    public java.util.Date getDate()

Gets date of modification.

Returns:
  date of modification

#### getRevision

    public long getRevision()

Gets modification revision.

Returns:
  modification revision

#### getRevisionProperties

    public SVNProperties getRevisionProperties()

Gets the properties of modification revision.

Returns:
  revision properties

#### getAuthor

    public java.lang.String getAuthor()

Gets author of modification.

Returns:
  modification author

#### getMergedDate

    public java.util.Date getMergedDate()

Gets date of merge.

Returns:
  merge date

#### getLine

    public java.lang.String getLine()

Gets modified line.

Returns:
  modified line

#### getMergedRevision

    public long getMergedRevision()

Gets revision of merge.

Returns:
  merge revision

#### getMergedRevisionProperties

    public SVNProperties getMergedRevisionProperties()

Gets properties of merge revision.

Returns:
  merge revision properties

#### getMergedAuthor

    public java.lang.String getMergedAuthor()

Gets author of merge revision.

Returns:
  merge revision author

#### getMergedPath

    public java.lang.String getMergedPath()

Gets path of merge revision.

Returns:
  merge revision path

#### getLineNumber

    public int getLineNumber()

Gets line number of modification

Returns:
  line number of modification

#### getContents

    public java.io.File getContents()

Gets contents of modification in `File`

Returns:
  modification contents

#### isEof

    public boolean isEof()

Gets whether or not end of file reached.

Returns:
  `true` if it is end of file, otherwise `false`

#### isLine

    public boolean isLine()

Gets whether or not item is line.

Returns:
  `true` if item is line, otherwise `false`

#### isRevision

    public boolean isRevision()

Gets whether or not item is revision.

Returns:
  `true` if item is revision, otherwise `false`

#### setReturnResult

    public void setReturnResult(boolean returnResult)

Sets whether or not item was handled.

Parameters:
  `returnResult` - `true` if item was handled, otherwise `false`

#### getReturnResult

    public boolean getReturnResult()

Gets whether or not item was handled.

Returns:
  `true` if item was handled, otherwise `false`